> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.erlcrussia.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify a link domain

> Checks the domain DNS records.



## OpenAPI

````yaml en/openapi/en-api-v3-openapi.yaml POST /teams/{teamId}/redirect-domains/{id}/verify
openapi: 3.1.0
info:
  title: ER:LC Russia API V3
  description: >-
    ER:LC Russia API for servers, users, CDN, redirects, subscriptions, and
    access keys.
  version: 3.0.0
servers:
  - url: https://api.erlcrussia.com/v3
    description: Production server (com)
  - url: https://api.erlcrussia.xyz/v3
    description: Backup server (xyz)
security: []
tags:
  - name: ER:LC Server
    description: Obtaining status, online, lists of players and staff of the ER:LC server.
  - name: ER:LC Teams
    description: Sending and queuing in-game server commands (:h, :m, :kick, :ban, etc.).
  - name: Economics
    description: >-
      Interaction with the economic system (users, businesses, mafias, stores,
      advertising).
  - name: Statistics API
    description: >-
      High-performance obtaining statistics of discord servers and game servers
      (online, participants, bots).
  - name: Verification API
    description: Search and comparison of Discord ID and Roblox ID accounts.
  - name: CDN Assets
    description: >-
      Load, manage, statistic and clear MinIO/Edge CDN object storage file
      cache.
  - name: CDN Folders
    description: Hierarchical structure and sorting of CDN media library folders.
  - name: Punishment API
    description: Manage the balance and transaction history of players' points.
  - name: Subscriptions API
    description: >-
      Catalog of plans, FunPay orders, accrual of benefits and activation of
      subscriptions.
  - name: Authorization API
    description: >-
      Login via Discord and Roblox OAuth2, manage user sessions and link
      accounts.
  - name: Management API - WebSocket Keys
    description: Managing access keys to the WebSocket gateway and channel subscriptions.
  - name: Management API - Webhooks
    description: Registration, accessibility validation and monitoring of custom webhooks.
  - name: Control API - Panel
    description: >-
      Management of users, subscriptions, tariffs, manual balance and system
      statistics.
  - name: State API
    description: >-
      Monitoring the performance of the service, connections to PostgreSQL and
      Redis.
  - name: AI Audio
  - name: AI Studio
  - name: AI administration
  - name: API Keys
  - name: Admin API - Servers
  - name: Administration of E-Coins
  - name: CDN
  - name: CDN Domains
  - name: CDN V3
  - name: Custom Webhooks
  - name: Management API - Servers
  - name: Management API - Tokens
  - name: Organization redirects V3
  - name: Private files and library
  - name: Рекламные кампании V3
paths:
  /teams/{teamId}/redirect-domains/{id}/verify:
    post:
      tags:
        - Organization redirects V3
      summary: Verify a link domain
      description: Checks the domain DNS records.
      parameters:
        - name: teamId
          in: path
          required: true
          schema:
            type: string
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response.
          content:
            application/json:
              example:
                success: true
                domain:
                  id: dom_4K9q
                  domain: go.example.com
                  type: redirect
                  isVerified: true
                  teamId: team_7f3a
                verification:
                  cfStatus: active
                  cfSslStatus: active
                  isVerified: true
                  cname:
                    name: go.example.com
                    expected: cname.erlcrussia.com
                    current: cname.erlcrussia.com
                    found: true
                isVerified: true
                cnameVerified: true
                cfStatus: active
                cfSslStatus: active
                ownershipTokenChanged: false
                sslTokenChanged: false
                message: Domain verification refreshed
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  domain:
                    type: object
                    properties:
                      id:
                        type: string
                      domain:
                        type: string
                      type:
                        type: string
                      isVerified:
                        type: boolean
                      teamId:
                        type: string
                  verification:
                    type: object
                    properties:
                      cfStatus:
                        type: string
                      cfSslStatus:
                        type: string
                      isVerified:
                        type: boolean
                      cname:
                        type: object
                        properties:
                          name:
                            type: string
                          expected:
                            type: string
                          current:
                            type: string
                          found:
                            type: boolean
                  isVerified:
                    type: boolean
                  cnameVerified:
                    type: boolean
                  cfStatus:
                    type: string
                  cfSslStatus:
                    type: string
                  ownershipTokenChanged:
                    type: boolean
                  sslTokenChanged:
                    type: boolean
                  message:
                    type: string
        '403':
          description: No access to an organization, resource, or operation.
        '404':
          description: The resource was not found in the selected organization.
        '503':
          description: >-
            The change was written to the database, but Redis synchronization
            failed. Please update your details before resubmitting; Don't repeat
            creation blindly.
      security:
        - ApiKeyHeader: []
components:
  securitySchemes:
    ApiKeyHeader:
      type: apiKey
      in: header
      name: erlcrussia-api-key
      description: >-
        Custom API key. Store on the server; do not include client-side
        JavaScript.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.